                          +-----------------+
                          |BeastieWorker-0.4|
                          +-----------------+

BeastieWorker is 3D game. New realization of the known game "socoban".

----------------------------  INSTALLATION  ----------------------------                                                       
                                                                                                                               
1) DEPENDENCY                                                                                                                  
   SDL - Simple DirectMedia Layer                                                                                              
	                                                                                                                               
2) INSTALLATION                                                                                                                
                                                                                                                             
      cd BeastieWorker/src                                                                                                     
      make                                                                                                                     
      make clean                                                                                                               

---------------------------    RUN GAME     ----------------------------                                                       
						                                                                                                                               
      cd BeastieWorker                                                                                                         
      ./BeastieWorker                                                                                                          
											   
---------------------------     CONTROL     ----------------------------

Keyboard

 key   | action
-------+--------
 up    | move onward
 left  | tumbling left
 right | tumbling right
 space | shift box
 r     | reload livel
 f     | show/hide fps
 esc   | show/hide menu
 n     | next level
 p     | prew level

Mouse

Left  + motion = rotate camera
Right + motion = move closer/further camera

----------------------------  ADJUSTMENT -------------------------------

In command line:

Options:
 -h     help
 -f     full screen mode
 -l     set language (-l help)
 -s     set width and height (-s help)
 --sky  set sky (-s help)

---------------------------  GPL COPYRIGHT  ----------------------------

BeastieWorker: 3D game ex. socoban
Copyright (C) 2007 Andrey Martynenko (e-mail: t_gran@mail.ru)

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or any
later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License
along with this program (see the file "COPYING"); if not, write to the
Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
MA 02111-1307 USA

-----------------------  THAT NEW IN VERSION 0.4  -----------------------
- Perfected control
- New options will added
- Corrected errors in code
- Back plan will added
-------------------------------------------------------------------------